Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1411882 - undefined method `[]' for nil:NilClass [dashboard/tl_generate] while accessing Cloud Intelligence->Timelines page
Summary: undefined method `[]' for nil:NilClass [dashboard/tl_generate] while accessin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.1
Assignee: Harpreet Kataria
QA Contact: Nandini Chandra
URL:
Whiteboard: ui:timelines
Depends On: 1404445
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 16:41 UTC by Satoe Imaishi
Modified: 2017-02-27 19:20 UTC (History)
5 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1404445
Environment:
Last Closed: 2017-02-27 19:20:21 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-10 22:30:50 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/769a341f29156ad9bd90aaf9ef14de13b8460aec

commit 769a341f29156ad9bd90aaf9ef14de13b8460aec
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Fri Dec 16 14:02:42 2016 -0800
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jan 10 17:28:30 2017 -0500

    Merge pull request #13223 from h-kataria/fixed_timelines_nil_error
    
    Fixed a nil error for rpt_options
    (cherry picked from commit d6cd206b36a3566c7b904e902dd80087ce8bc665)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1411882

 lib/report_formatter/timeline.rb          | 2 +-
 spec/lib/report_formater/timeline_spec.rb | 7 +++++++
 2 files changed, 8 insertions(+), 1 deletion(-)

Comment 3 Nandini Chandra 2017-01-30 20:29:10 UTC
Verified in 5.7.1

Comment 5 errata-xmlrpc 2017-02-27 19:20:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.